extension.h File Reference

NO DOX. More...

`#include <gmp.h>`
`#include <givaro/gfq.h>`
`#include <givaro/givconfig.h>`
`#include <givaro/givpoly1.h>`
`#include <givaro/givpoly1factor.h>`
`#include <givaro/givpoly1padic.h>`
`#include "givaro/givtablelimits.h"`
Include dependency graph for extension.h:

## Data Structures

class | Extension< BFT >
| Extension. More...
class | GIV_ExtensionrandIter< ExtensionField, Type >
| Extension rand iters. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Functions

template<class Rt>
Rt | FF_EXPONENT_MAX (const Rt p, const Rt maxe=21)
| XXX.
template<class Rt>
Rt | FF_SUBEXPONENT_MAX (const Rt p, const Rt e)
| XXX.
template<typename Field>
int64_t | Exponent_Trait (const Field &F)
| XXX.
template<>
int64_t | Exponent_Trait (const GFqDom< int64_t > &F)
| XXX.
template<typename BaseField>
int64_t | Exponent_Trait (const Extension< BaseField > &F)
| XXX.

## Detailed Description

NO DOX.